package com.gree.mall.manager.schedule;

import com.gree.mall.manager.logic.activity.PromotionGroupLogic;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class PromotionGroupSchedule {

    @Autowired
    PromotionGroupLogic promotionGroupLogic;

    @Transactional
    @Scheduled(fixedDelay = 10 * 1000)
    public void task(){
        promotionGroupLogic.close();
    }

}
