package com.gree.mall.manager.bean.admin;

import com.gree.mall.manager.plus.entity.AdminUser;
import com.gree.mall.manager.plus.entity.AdminUserCompanyRela;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class AdminUserBean extends AdminUser {

    @ApiModelProperty("企业id")
    private String corpId;
    @ApiModelProperty("小程序应用id")
    private Integer agentId1;
    @ApiModelProperty("企业微信小程序密钥")
    private String secret1;
    @ApiModelProperty("标签密钥")
    private String secret2;
    @ApiModelProperty("通讯录密钥")
    private String secret3;
    @ApiModelProperty("token")
    private String token;
    @ApiModelProperty("所属公司")
    private List<AdminUserCompanyRela> adminUserCompanyRelaList;
    @ApiModelProperty("appId")
    private String appId;
    private String mchId;
    private String mchKey;
    private String subAppId;
    private String subSecret;
    private String subMchId;
    private String template;
    @ApiModelProperty("小程序名称")
    private String minAppName;
    @ApiModelProperty("小程序授权页logo")
    private String minLogo1;
    @ApiModelProperty("小程序通用logo")
    private String minLogo2;
    @ApiModelProperty("小程序默认头像logo")
    private String minLogo3;
    @ApiModelProperty("部门id集合")
    private List<String> adminWebsitIds;
    @ApiModelProperty("使用小程序模板类型:  1=模板1 2=模板2")
    private Integer useTemplate;
    @ApiModelProperty("退款是否要密码 true=是 false=否")
    private Boolean isRefundPassword = false;
}
